Bug 132700 - Add ocfs2 support to mount
Add ocfs2 support to mount
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: util-linux (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Ben Levenson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-15 19:16 EDT by Manish Singh
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-03 16:33:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ocfs2 support for mount (3.34 KB, patch)
2004-09-15 19:17 EDT, Manish Singh
no flags Details | Diff
New patch against more recent version of util-linux (3.53 KB, patch)
2004-12-03 16:30 EST, Manish Singh
no flags Details | Diff

  None (edit)
Description Manish Singh 2004-09-15 19:16:37 EDT
The attached patch adds mount by label/uuid for ocfs2 to mount, and
guess fs type support for ocfs/ocfs2. This has been submitted upstream
as well.
Comment 1 Manish Singh 2004-09-15 19:17:32 EDT
Created attachment 103888 [details]
ocfs2 support for mount
Comment 2 Suzanne Hillman 2004-09-16 15:30:56 EDT
Internal RFE bug #132765 entered; will be considered for future releases.
Comment 3 Elliot Lee 2004-12-03 14:38:14 EST
Thanks for the patch and also for submitting it upstream!
Unfortunately it doesn't apply cleanly to the development tree (which
is very similar to the util-linux package included in FC3). Would it
be possible to provide an updated patch that does apply cleanly?
Comment 4 Manish Singh 2004-12-03 16:30:04 EST
Created attachment 107866 [details]
New patch against more recent version of util-linux
Comment 5 Manish Singh 2004-12-03 16:31:38 EST
Also, this patch is included in upstream util-linux 2.12h.
Comment 6 Elliot Lee 2004-12-03 16:33:37 EST
Thanks for the quick response - it works fine and is in CVS now.
Comment 7 Manish Singh 2004-12-03 16:44:21 EST
Could the older patch be applied to RHEL3 for future updates? We're
going to be supporting ocfs2 on RHEL3 so it'd be nice if it could be
included by the time we ship.

Note You need to log in before you can comment on or make changes to this bug.